//+------------------------------------------------------------------+
//|                                                    StochBars.mq4 |
//|                                                   TheRumpledOne  |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
// Modified by Gvc 2010


#property copyright "TheRumpledOne"
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
extern bool Show_Heading = true;
 
extern string IndName = "STOCH" ; 

extern bool Corner_of_Chart_RIGHT_TOP = true;

extern int Shift_UP_DN =0; 
extern int Adjust_Side_to_side  = 20;

extern color BarLabel_color = LightBlue;
extern color CommentLabel_color = LightBlue;

//******************* 
// change inputs for your indicator 

extern int KPeriod=7;
extern int DPeriod=3;
extern int Slowing=3;
extern int MAMethod=0;
extern int PriceField=0; 

extern double Level =  50 ;
extern double Leve2 =  0 ;
extern color colorLevel =  Lime ;
extern color colorLeve2 =  Red;
//*******************

string Obj0001,Obj0002,Obj0003,Obj0004,Obj0005,Obj0006;  
//+---------------

color MeterColor( double rsimeter )
{
if( rsimeter > Level ) { return( colorLevel ); } 
if( rsimeter > Leve2 ) { return( colorLeve2 ); } 
return( colorLevel );  
}
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectsDeleteAll();

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   string LabelTime="";

if (LabelTime=="") {LabelTime=TimeToStr(TimeLocal(),TIME_SECONDS); }
if ( Show_Heading) {         
    if (Corner_of_Chart_RIGHT_TOP == true)
    {  

   Obj0001 = "STOCH_Head" + LabelTime ; 
   string STOCH_Head = "  M15  M30  H1   H4" ;
   
       
           ObjectCreate(Obj0001, OBJ_LABEL, 0, 0, 0);
   ObjectSetText(Obj0001,STOCH_Head , 7, "Tahoma Narrow", BarLabel_color);
   ObjectSet(Obj0001, OBJPROP_CORNER, Corner_of_Chart_RIGHT_TOP);
   ObjectSet(Obj0001, OBJPROP_XDISTANCE, 38+Adjust_Side_to_side);
   ObjectSet(Obj0001, OBJPROP_YDISTANCE, 35+Shift_UP_DN); 
   }
    if (Corner_of_Chart_RIGHT_TOP == false)
   { 
           ObjectCreate(Obj0001, OBJ_LABEL, 0, 0, 0);
   ObjectSetText(Obj0001, STOCH_Head , 7, "Tahoma Narrow", BarLabel_color);
   ObjectSet(Obj0001, OBJPROP_CORNER, Corner_of_Chart_RIGHT_TOP);
   ObjectSet(Obj0001, OBJPROP_XDISTANCE, 35+Adjust_Side_to_side);
   ObjectSet(Obj0001, OBJPROP_YDISTANCE, 35+Shift_UP_DN); 
    } 
} // Show_Heading

 //*******************   change for  your indicator ********************

string  M15_STOCH= "", M30_STOCH= "", H1_STOCH= "", H4_STOCH= "",PRC1;
color  color_STOCHm15,color_STOCHm30,color_STOCHm60,color_STOCHm240; 
    

double STOCH_M15=iStochastic(NULL,PERIOD_M15,KPeriod,DPeriod,Slowing,MAMethod,PriceField,0,0);

double STOCH_M30=iStochastic(NULL,PERIOD_M30,KPeriod,DPeriod,Slowing,MAMethod,PriceField,0,0);
      
double STOCH_H1=iStochastic(NULL,PERIOD_H1,KPeriod,DPeriod,Slowing,MAMethod,PriceField,0,0);

double STOCH_H4=iStochastic(NULL,PERIOD_H4,KPeriod,DPeriod,Slowing,MAMethod,PriceField,0,0); 

   

M15_STOCH= "-";color_STOCHm15 = MeterColor( STOCH_M15 ) ;
M30_STOCH= "-";color_STOCHm30 = MeterColor( STOCH_M30 ) ;
H1_STOCH= "-";color_STOCHm60 = MeterColor( STOCH_H1 ) ;
H4_STOCH= "-";color_STOCHm240 = MeterColor( STOCH_H4 ) ;

    

   Obj0002 = "SignalSTOCHM1t" + LabelTime ; 
           
           ObjectCreate(Obj0002, OBJ_LABEL, 0, 0, 0);
   ObjectSetText(Obj0002,IndName, 7, "Tahoma Narrow",  BarLabel_color);  
   ObjectSet(Obj0002, OBJPROP_CORNER, Corner_of_Chart_RIGHT_TOP);
   ObjectSet(Obj0002, OBJPROP_XDISTANCE, 120+Adjust_Side_to_side);
   ObjectSet(Obj0002, OBJPROP_YDISTANCE, 50+Shift_UP_DN);  
      
   Obj0003 = "SignalSTOCHM15" + LabelTime ; 
   ObjectCreate(Obj0003, OBJ_LABEL, 0, 0, 0);
   ObjectSetText(Obj0003, M15_STOCH, 50, "Tahoma Thick",  color_STOCHm15);
   ObjectSet(Obj0003, OBJPROP_CORNER, Corner_of_Chart_RIGHT_TOP);
   ObjectSet(Obj0003, OBJPROP_XDISTANCE, 90+Adjust_Side_to_side);
   ObjectSet(Obj0003, OBJPROP_YDISTANCE, 12+Shift_UP_DN); 
      
   Obj0004 = "SignalSTOCHM30" + LabelTime ; 
   ObjectCreate(Obj0004, OBJ_LABEL, 0, 0, 0);
   ObjectSetText(Obj0004, M30_STOCH, 50, "Tahoma Narrow",  color_STOCHm30);
   ObjectSet(Obj0004, OBJPROP_CORNER, Corner_of_Chart_RIGHT_TOP);
   ObjectSet(Obj0004, OBJPROP_XDISTANCE, 70+Adjust_Side_to_side);
   ObjectSet(Obj0004, OBJPROP_YDISTANCE, 12+Shift_UP_DN); 

   Obj0005 = "SignalSTOCHM60" + LabelTime ;      
           ObjectCreate(Obj0005, OBJ_LABEL, 0, 0, 0);
   ObjectSetText(Obj0005, H1_STOCH, 50, "Tahoma Narrow",  color_STOCHm60);
   ObjectSet(Obj0005, OBJPROP_CORNER, Corner_of_Chart_RIGHT_TOP);
   ObjectSet(Obj0005, OBJPROP_XDISTANCE, 50+Adjust_Side_to_side);
   ObjectSet(Obj0005, OBJPROP_YDISTANCE, 12+Shift_UP_DN); 

   Obj0006 = "SignalSTOCHM240" + LabelTime ;          
           ObjectCreate(Obj0006, OBJ_LABEL, 0, 0, 0);
   ObjectSetText(Obj0006, H4_STOCH, 50, "Tahoma Narrow",  color_STOCHm240);
   ObjectSet(Obj0006, OBJPROP_CORNER, Corner_of_Chart_RIGHT_TOP);
   ObjectSet(Obj0006, OBJPROP_XDISTANCE, 30+Adjust_Side_to_side);
   ObjectSet(Obj0006, OBJPROP_YDISTANCE, 12+Shift_UP_DN);

 
//----
   return(0);
  }
//+------------------------------------------------------------------+