//+------------------------------------------------------------------+
//|                                         cacus Scalper Indicator  |
//|                             Copyright  2010, Juan Cruz Baudino  |
//|                                                                  |
//| Please if you like the code and got some reward from this you    |
//| may don't mind to make a donation to the author.                 |
//| Paypal account: cacuscacus@gmail.com                             |
//| If you make some modifications please be kind to inform me       |
//| about this.                                                      |
//+------------------------------------------------------------------+

#property copyright "Copyright  2010, Juan Cruz Baudino"
#property link      "cacuscacus@gmail.com"

#property indicator_chart_window
#property indicator_buffers 8

//---- input parameters
extern string _1 = "Indicator Parameters";
extern int Periodo = 15;
extern color SC = DarkOrange;
extern color SV = CornflowerBlue;
extern int HistoWidth = 1;
extern int LineWidth = 1;
extern int PeriMA = 14;
extern int PerATR = 14;
extern int MA_MODE = 0;
extern int MA_PRICE = 0;
extern double EntryOffset = 1.5;

//---- buffers
double SC1_Buffer[];
double SC2_Buffer[];
double SV1_Buffer[];
double SV2_Buffer[];
double SC1[];
double SC2[];
double SV1[];
double SV2[];
//----
datetime bartime;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
  
   if (Periodo<Period()) Periodo = Period();
   
   SetIndexStyle(0,DRAW_HISTOGRAM,STYLE_DOT,HistoWidth,SC);
   SetIndexBuffer(0,SC1_Buffer);
   SetIndexDrawBegin(0,12);
   SetIndexShift(0,0);
   SetIndexLabel(0,NULL);
   
   SetIndexStyle(1,DRAW_HISTOGRAM,STYLE_DOT,HistoWidth,SC);
   SetIndexBuffer(1,SC2_Buffer);
   SetIndexDrawBegin(1,12);
   SetIndexShift(1,0);
   SetIndexLabel(1,NULL);
 
   SetIndexStyle(2,DRAW_HISTOGRAM,STYLE_DOT,HistoWidth,SV);
   SetIndexBuffer(2,SV1_Buffer);
   SetIndexDrawBegin(2,0);
   SetIndexShift(2,0);
   SetIndexLabel(2,NULL);
 
   SetIndexStyle(3,DRAW_HISTOGRAM,STYLE_DOT,HistoWidth,SV);
   SetIndexBuffer(3,SV2_Buffer);
   SetIndexDrawBegin(3,0);
   SetIndexShift(3,0);
   SetIndexLabel(3,NULL);
   
   SetIndexStyle(4,DRAW_LINE,STYLE_SOLID,LineWidth,SC);
   SetIndexBuffer(4,SC1);
   SetIndexDrawBegin(4,0);
   SetIndexShift(4,0);
   SetIndexLabel(4,NULL);
   
   SetIndexStyle(5,DRAW_LINE,STYLE_SOLID,LineWidth,SC);
   SetIndexBuffer(5,SC2);
   SetIndexDrawBegin(5,0);
   SetIndexShift(5,0);
   SetIndexLabel(5,NULL);
   
   SetIndexStyle(6,DRAW_LINE,STYLE_SOLID,LineWidth,SV);
   SetIndexBuffer(6,SV1);
   SetIndexDrawBegin(6,0);
   SetIndexShift(6,0);
   SetIndexLabel(6,NULL);
   
   SetIndexStyle(7,DRAW_LINE,STYLE_SOLID,LineWidth,SV);
   SetIndexBuffer(7,SV2);
   SetIndexDrawBegin(7,0);
   SetIndexShift(7,0);
   SetIndexLabel(7,NULL);

   return(0);
  }

int start()
  {
   datetime TimeArray[];
   int    i,shift,y=0;
    
   // Plot defined Periodo on to current Periodo   
   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),Periodo); 
   
   for(i=0,y=0;i<Bars;i++)
     {
      if (Time[i]<TimeArray[y]) y++; 
  
     
      double ima = iMA(Symbol(), Periodo, PeriMA, 0, MA_MODE, MA_PRICE, y);
      double atr = iATR(Symbol(), Periodo, PerATR, y);
      double acc = iAC(Symbol(), Periodo, y);
      double sobrecompra = ima + atr * EntryOffset;
      double sobrecompra1 = ima + acc + atr * EntryOffset;
      double sobreventa = ima - atr * EntryOffset;
      double sobreventa1 = ima + acc - atr * EntryOffset;
      
      
         SC2_Buffer[i]=sobrecompra;
         SC1_Buffer[i]=sobrecompra1;
         SV2_Buffer[i]=sobreventa;
         SV1_Buffer[i]=sobreventa1;
         SC1[i]=sobrecompra;
         SC2[i]=sobrecompra1;
         SV1[i]=sobreventa;
         SV2[i]=sobreventa1;
          
       
     }
     
  }
//+------------------------------------------------------------------+